# SelectTitle.ps1
# 検索結果の一覧から自動選択された結果を上書きする

# パラメータ
Param([int32] $selected, [array] $selectables)
# 例外が起きたらそこで止める
$ErrorActionPreference = "stop"
# Write-Verboseを記録する
$VerbosePreference = "continue"

try
{
    $result = $selected

    ##### カスタマイズスクリプトを読み込む(存在する場合)
    $customize = Join-Path (Split-Path $MyInvocation.MyCommand.Path -parent) "SelectTitle_customize.ps1"

    if(Test-Path $customize)
    {
        . ($customize)
    }
}
catch
{
    # エラーメッセージを出力する。
    $error[0] | Out-string | Write-Verbose

    # 元の値をそのまま返す
    return $selected
}

return $result